-- PrjData for Obj.Puid Upd:24.05.13
Select Distinct
 PrjData.pproject_id as PrjId,
 PrjData.pproject_name as PrjName
From infodba.PPROJECT_LIST PrjRefl
Inner Join infodba.PTC_PROJECT PrjData On (PrjRefl.pvalu_0 = PrjData.puid)
Where PrjData.pproject_id Is Not Null
  And PrjRefl.puid = :para_puid
order by PrjData.pproject_id asc
